#include "LockerAccessInteraction.h"

class ADBDPlayer;
class UInteractor;
class AActor;

void ULockerAccessInteraction::SetOtherInteractorsUsable(const bool isEnabled)
{

}

void ULockerAccessInteraction::SetCollisionWithLocker(const bool isEnabled, ADBDPlayer* player) const
{

}

bool ULockerAccessInteraction::IsRushed() const
{
	return false;
}

bool ULockerAccessInteraction::IsOccupied() const
{
	return false;
}

bool ULockerAccessInteraction::IsInteractingPlayerInsideLocker(const ADBDPlayer* player) const
{
	return false;
}

ADBDPlayer* ULockerAccessInteraction::GetPlayerInLocker() const
{
	return NULL;
}

UInteractor* ULockerAccessInteraction::GetInsideInteractor() const
{
	return NULL;
}

void ULockerAccessInteraction::FireSoundEventFromInteractor(AActor* instigator, ADBDPlayer* instigatingPlayer)
{

}

ULockerAccessInteraction::ULockerAccessInteraction()
{
	this->_rushed = false;
	this->_shouldCheckRushInput = true;
}
